INTERFACE
SUBROUTINE LASSIETL(KST,KPROF,PRCORI,PGMV,PGMVS,PGFL,&
 & PSDIV0,PTOD0,PGAGT0L,PGAGT0M,&
 & PGMV5,PGMV5S,PGFL5,PSDIV5,PTOD5,PGAGT5L,PGAGT5M) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NPROMA ,NFLEVG
USE YOMGMV , ONLY : NDIMGMV ,NDIMGMVS ,YT0 ,YT5
USE YOM_YGFL , ONLY : YGFL ,YQ
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
REAL(KIND=JPRB) ,INTENT(IN) :: PRCORI(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGMV(NPROMA,NFLEVG,NDIMGMV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGMVS(NPROMA,NDIMGMVS)
REAL(KIND=JPRB) ,INTENT(IN) :: PGFL(NPROMA,NFLEVG,YGFL%NDIM)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSDIV0(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTOD0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGAGT0L(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGAGT0M(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PGMV5(NPROMA,NFLEVG,YT5%NDIM)
REAL(KIND=JPRB) ,INTENT(IN) :: PGMV5S(NPROMA,YT5%NDIMS)
REAL(KIND=JPRB) ,INTENT(IN) :: PGFL5(NPROMA,NFLEVG,YGFL%NDIM5)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSDIV5(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTOD5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGAGT5L(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGAGT5M(NPROMA,NFLEVG)
END SUBROUTINE LASSIETL
END INTERFACE
